package com.yihu.jw.entity.hospital.prescription;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_nat_inspection")
@SequenceGenerator(name="id_generated", sequenceName="base_nat_inspection")
public class BaseNatInspectionDO  extends IntegerIdentityEntity {
    private Integer appointmentId;
    private String realOrder;
    private String prescriptionId;
    private String code;
    private String name;
    private String chargeAmount;
    private String patientId;
    private String doctorId;
    private String dept;
    private String deptName;
    private String quantity;
    private String checkTtype;
    private String chekcTypeName;
    private Date createTime;
    private Integer del;

    public Integer getAppointmentId() {
        return appointmentId;
    }

    public void setAppointmentId(Integer appointmentId) {
        this.appointmentId = appointmentId;
    }

    public String getRealOrder() {
        return realOrder;
    }

    public void setRealOrder(String realOrder) {
        this.realOrder = realOrder;
    }

    public String getPrescriptionId() {
        return prescriptionId;
    }

    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getChargeAmount() {
        return chargeAmount;
    }

    public void setChargeAmount(String chargeAmount) {
        this.chargeAmount = chargeAmount;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(String doctorId) {
        this.doctorId = doctorId;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getCheckTtype() {
        return checkTtype;
    }

    public void setCheckTtype(String checkTtype) {
        this.checkTtype = checkTtype;
    }

    public String getChekcTypeName() {
        return chekcTypeName;
    }

    public void setChekcTypeName(String chekcTypeName) {
        this.chekcTypeName = chekcTypeName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
